class CreateCustomFielderFields < ActiveRecord::Migration
  def change
    create_table :custom_fielder_fields do |t|
      t.string  :name,            null: false
      t.string  :field_type,      null: false
      t.string  :fieldable_type,  null: false
      t.string  :default
      t.boolean :active,          null: false, default: true
      t.boolean :allow_blank,     null: false, default: false
      t.string  :field_options
      t.text    :note

      t.timestamps null: false
    end

    add_index :custom_fielder_fields, [:name, :fieldable_type], unique: true
  end
end
