class CreateCustomFielderValues < ActiveRecord::Migration
  def change
    create_table :custom_fielder_values do |t|
      t.references :fieldable,            polymorphic: true, null: false
      t.integer    :field_id,                                null: false, index: true
      t.string     :value
      t.text       :note

      t.timestamps null: false
    end

    add_index :custom_fielder_values, [:fieldable_type, :fieldable_id, :field_id], unique: true, name: 'index_values_on_fieldable_type_and_fieldable_id_and_field_id'
  end
end
